- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
Color Class Reference
Miscellaneous Tools

## Detailed Description

Data structure representing RGB colors.

`#include <lemon/color.h>`

## Public Member Functions
| Color ()
| Default constructor.
| Color (double r, double g, double b)
| Constructor.
double & | red ()
| Set the red component.
const double & | red () const
| Return the red component.
double & | green ()
| Set the green component.
const double & | green () const
| Return the green component.
double & | blue ()
| Set the blue component.
const double & | blue () const
| Return the blue component.
void | set (double r, double g, double b)
| Set the color components.